Debian Bug report logs - #526640
Please try to keep the number of flashes minimal

version graph

Package: flash-kernel; Maintainer for flash-kernel is Debian Install System Team <debian-boot@lists.debian.org>; Source for flash-kernel is src:flash-kernel.

Reported by: Michael Goetze <mgoetze@mgoetze.net>

Date: Sat, 2 May 2009 12:21:04 UTC

Severity: minor

Fixed in version flash-kernel/2.18

Done: Martin Michlmayr <tbm@cyrius.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#526640; Package linux-image-orion5x. (Sat, 02 May 2009 12:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Goetze <mgoetze@mgoetze.net>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 02 May 2009 12:21:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Goetze <mgoetze@mgoetze.net>
To: submit@bugs.debian.org
Cc: debian-arm@lists.debian.org
Subject: linux-image-orion5x: Please try to keep the number of flashes minimal
Date: Sat, 02 May 2009 14:17:39 +0200
Package: linux-image-orion5x
Version: 2.6.26+17+lenny1
Severity: minor

I just did an upgrade (via aptitude) on my QNAP TS-209, and noticed that 
the kernel and initrd were flashed 3 times. Since flashing is somewhat 
dangerous (in that a mishap/power outage may leave the system 
unbootable) and causes wear on the hardware, I would appreciate it if 
superfluous writes could be eliminated.

[...]
Preparing to replace flash-kernel 2.11 (using 
.../flash-kernel_2.13_armel.deb) ...
Unpacking replacement flash-kernel ...
[...]
Preparing to replace linux-image-2.6-orion5x 2.6.26+17 (using 
.../linux-image-2.6-orion5x_2.6.26+17+lenny1_armel.deb) ...
Unpacking replacement linux-image-2.6-orion5x ...
[...]
Setting up linux-image-2.6.26-1-orion5x (2.6.26-13lenny2) ...

 Hmm. The package shipped with a symbolic link 
/lib/modules/2.6.26-1-orion5x/source
 However, I can not read the target: No such file or directory
 Therefore, I am deleting /lib/modules/2.6.26-1-orion5x/source

Running depmod.
Finding valid ramdisk creators.
Using mkinitramfs-kpkg to build the ramdisk.
Not updating initrd symbolic links since we are being updated/reinstalled
(2.6.26-12 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(2.6.26-12 was configured last, according to dpkg)
Running postinst hook script flash-kernel.
Generating kernel u-boot image... done.
Flashing kernel... done.
Flashing initramfs... done.
Setting up linux-image-2.6.26-2-orion5x (2.6.26-15) ...

 Hmm. The package shipped with a symbolic link 
/lib/modules/2.6.26-2-orion5x/source
 However, I can not read the target: No such file or directory
 Therefore, I am deleting /lib/modules/2.6.26-2-orion5x/source

Running depmod.
Finding valid ramdisk creators.
Using mkinitramfs-kpkg to build the ramdisk.
Running postinst hook script flash-kernel.
Generating kernel u-boot image... done.
Flashing kernel... done.
Flashing initramfs... done.
[...]
Setting up flash-kernel (2.13) ...
[...]
Setting up linux-image-2.6-orion5x (2.6.26+17+lenny1) ...
[...]
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.26-2-orion5x
Generating kernel u-boot image... done.
Flashing kernel... done.
Flashing initramfs... done.




Bug reassigned from package `linux-image-orion5x' to `flash-kernel'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sat, 02 May 2009 16:30:07 GMT) Full text and rfc822 format available.

Changed Bug title to `Please try to keep the number of flashes minimal' from `linux-image-orion5x: Please try to keep the number of flashes minimal'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sat, 02 May 2009 16:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#526640; Package flash-kernel. (Sat, 02 May 2009 16:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 02 May 2009 16:48:04 GMT) Full text and rfc822 format available.

Message #14 received at 526640@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Michael Goetze <mgoetze@mgoetze.net>, 526640@bugs.debian.org
Cc: debian-arm@lists.debian.org, Joey Hess <joeyh@debian.org>
Subject: Re: Bug#526640: Please try to keep the number of flashes minimal
Date: Sat, 2 May 2009 18:42:46 +0200
* Michael Goetze <mgoetze@mgoetze.net> [2009-05-02 14:17]:
> I just did an upgrade (via aptitude) on my QNAP TS-209, and noticed
> that  the kernel and initrd were flashed 3 times. Since flashing is
> somewhat  dangerous (in that a mishap/power outage may leave the
> system unbootable) and causes wear on the hardware, I would
> appreciate it if superfluous writes could be eliminated.

This is a long-standing problem (introduced a few months ago).  The
problem is that flash-kernel will add a postinst hook for the kernel,
but nowadays update-initramfs will call flash-kernel directly.

I asked Joey Hess whether the postinst hook for flash-kernel can
safely be removed (maybe there are corner cases where it's still
needed) but didn't get a reply.  Joey?

http://lists.debian.org/debian-arm/2008/08/msg00091.html

> [...]
> Preparing to replace flash-kernel 2.11 (using  
> .../flash-kernel_2.13_armel.deb) ...
> Unpacking replacement flash-kernel ...
> [...]
> Preparing to replace linux-image-2.6-orion5x 2.6.26+17 (using  
> .../linux-image-2.6-orion5x_2.6.26+17+lenny1_armel.deb) ...
> Unpacking replacement linux-image-2.6-orion5x ...
> [...]
> Setting up linux-image-2.6.26-1-orion5x (2.6.26-13lenny2) ...
>
>  Hmm. The package shipped with a symbolic link  
> /lib/modules/2.6.26-1-orion5x/source
>  However, I can not read the target: No such file or directory
>  Therefore, I am deleting /lib/modules/2.6.26-1-orion5x/source
>
> Running depmod.
> Finding valid ramdisk creators.
> Using mkinitramfs-kpkg to build the ramdisk.
> Not updating initrd symbolic links since we are being updated/reinstalled
> (2.6.26-12 was configured last, according to dpkg)
> Not updating image symbolic links since we are being updated/reinstalled
> (2.6.26-12 was configured last, according to dpkg)
> Running postinst hook script flash-kernel.
> Generating kernel u-boot image... done.
> Flashing kernel... done.
> Flashing initramfs... done.
> Setting up linux-image-2.6.26-2-orion5x (2.6.26-15) ...
>
>  Hmm. The package shipped with a symbolic link  
> /lib/modules/2.6.26-2-orion5x/source
>  However, I can not read the target: No such file or directory
>  Therefore, I am deleting /lib/modules/2.6.26-2-orion5x/source
>
> Running depmod.
> Finding valid ramdisk creators.
> Using mkinitramfs-kpkg to build the ramdisk.
> Running postinst hook script flash-kernel.
> Generating kernel u-boot image... done.
> Flashing kernel... done.
> Flashing initramfs... done.
> [...]
> Setting up flash-kernel (2.13) ...
> [...]
> Setting up linux-image-2.6-orion5x (2.6.26+17+lenny1) ...
> [...]
> Processing triggers for initramfs-tools ...
> update-initramfs: Generating /boot/initrd.img-2.6.26-2-orion5x
> Generating kernel u-boot image... done.
> Flashing kernel... done.
> Flashing initramfs... done.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#526640; Package flash-kernel. (Mon, 04 May 2009 15:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 04 May 2009 15:06:06 GMT) Full text and rfc822 format available.

Message #19 received at 526640@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Loïc Minier <lool@dooz.org>
Cc: debian-arm@lists.debian.org, Joey Hess <joeyh@debian.org>, maks@debian.org, 526640@bugs.debian.org
Subject: Re: Bug#526640: Please try to keep the number of flashes minimal
Date: Mon, 4 May 2009 17:04:52 +0200
Copying Joey and maks, who initially had the discussion about adding a
flash-kernel call to update-initramfs.  I hope they can comment on
your proposal.

* Loïc Minier <lool@dooz.org> [2009-05-02 21:14]:
> On Sat, May 02, 2009, Martin Michlmayr wrote:
> > This is a long-standing problem (introduced a few months ago).  The
> > problem is that flash-kernel will add a postinst hook for the kernel,
> > but nowadays update-initramfs will call flash-kernel directly.
> 
>  I was wondering whether we could take steps to move flash-kernel to a
>  trigger; I'm aware of earlier discussion on this topic on -boot.  We
>  rediscussed this recently on #ubuntu-arm and the discussion is on:
>     https://bugs.launchpad.net/bugs/365053
>     http://launchpadlibrarian.net/25876740/ubuntu-arm.txt
>  most of the discussion is about moving the logic in update-initramfs'
>  run_bootloader() -- at least the flash-kernel part -- in a new config
>  similar to kenrel-img.conf's postinst_hook.
> 
>  I think it would be possible to make flash-kernel calls trigger a new
>  flash-kernel trigger which would do the real update; the flash-kernel
>  postinst, update-initramfs calls, and kernel installation would all
>  cause this trigger to be activated, and the flash-kernel would only
>  have to ensure that the update-initramfs trigger if any has completed.
> 
>  Am I missing something?  Does this make any sense?
> 
>    Thanks for comments,
> -- 
> Loïc Minier
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-arm-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#526640; Package flash-kernel. (Mon, 04 May 2009 15:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 04 May 2009 15:12:02 GMT) Full text and rfc822 format available.

Message #24 received at 526640@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Loïc Minier <lool@dooz.org>, debian-arm@lists.debian.org, Joey Hess <joeyh@debian.org>, 526640@bugs.debian.org
Subject: Re: Bug#526640: Please try to keep the number of flashes minimal
Date: Mon, 4 May 2009 17:06:13 +0200
On Mon, May 04, 2009 at 05:04:52PM +0200, Martin Michlmayr wrote:
> Copying Joey and maks, who initially had the discussion about adding a
> flash-kernel call to update-initramfs.  I hope they can comment on
> your proposal.
> 
> * Loïc Minier <lool@dooz.org> [2009-05-02 21:14]:
> > On Sat, May 02, 2009, Martin Michlmayr wrote:
> > > This is a long-standing problem (introduced a few months ago).  The
> > > problem is that flash-kernel will add a postinst hook for the kernel,
> > > but nowadays update-initramfs will call flash-kernel directly.
> > 
> >  I was wondering whether we could take steps to move flash-kernel to a
> >  trigger; I'm aware of earlier discussion on this topic on -boot.  We
> >  rediscussed this recently on #ubuntu-arm and the discussion is on:
> >     https://bugs.launchpad.net/bugs/365053
> >     http://launchpadlibrarian.net/25876740/ubuntu-arm.txt
> >  most of the discussion is about moving the logic in update-initramfs'
> >  run_bootloader() -- at least the flash-kernel part -- in a new config
> >  similar to kenrel-img.conf's postinst_hook.

kernel-img.conf is getting deprecated as it appartains to nobody.

read those discussion some days ago but failed to see an obvious gain.
  
> >  I think it would be possible to make flash-kernel calls trigger a new
> >  flash-kernel trigger which would do the real update; the flash-kernel
> >  postinst, update-initramfs calls, and kernel installation would all
> >  cause this trigger to be activated, and the flash-kernel would only
> >  have to ensure that the update-initramfs trigger if any has completed.
> > 
> >  Am I missing something?  Does this make any sense?

did you read latest initramfs-tools git, we pass the version to
flash-kernel does this avoid aboves complications?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#526640; Package flash-kernel. (Mon, 04 May 2009 20:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 04 May 2009 20:30:07 GMT) Full text and rfc822 format available.

Message #29 received at 526640@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Michael Goetze <mgoetze@mgoetze.net>, 526640@bugs.debian.org, debian-arm@lists.debian.org, maximilian attems <maks@debian.org>
Subject: Re: Bug#526640: Please try to keep the number of flashes minimal
Date: Mon, 4 May 2009 15:44:24 -0400
[Message part 1 (text/plain, inline)]
Martin Michlmayr wrote:
> I asked Joey Hess whether the postinst hook for flash-kernel can
> safely be removed (maybe there are corner cases where it's still
> needed) but didn't get a reply.  Joey?

I don't know if I've thought of every corner case, but in the general
case, I don't think we need the postinst hook.

* Current linux-kernel postinst runs initramfs-tools -c, which
  does not involve triggers, and also does not run flash-kernel.
  So it generates an initramfs that never gets used, but the old
  one in flash should keep working.
* Current initramfs-tools runs flash-kernel when triggered. The git
  version passes a kernel version too, but even w/o that, flash-kernel
  should flash a coherent kernel+initramfs pair at the end of the
  apt run.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#526640; Package flash-kernel. (Tue, 19 May 2009 11:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 19 May 2009 11:00:07 GMT) Full text and rfc822 format available.

Message #34 received at 526640@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Joey Hess <joeyh@debian.org>
Cc: Michael Goetze <mgoetze@mgoetze.net>, 526640@bugs.debian.org, debian-arm@lists.debian.org, maximilian attems <maks@debian.org>
Subject: Re: Bug#526640: Please try to keep the number of flashes minimal
Date: Tue, 19 May 2009 12:44:31 +0200
* Joey Hess <joeyh@debian.org> [2009-05-04 15:44]:
> > I asked Joey Hess whether the postinst hook for flash-kernel can
> > safely be removed (maybe there are corner cases where it's still
> > needed) but didn't get a reply.  Joey?
> 
> I don't know if I've thought of every corner case, but in the general
> case, I don't think we need the postinst hook.

Great!  I'll upload a new version that doesn't install the postinst
hook.
-- 
Martin Michlmayr
http://www.cyrius.com/




Reply sent to Martin Michlmayr <tbm@cyrius.com>:
You have taken responsibility. (Tue, 19 May 2009 11:48:41 GMT) Full text and rfc822 format available.

Notification sent to Michael Goetze <mgoetze@mgoetze.net>:
Bug acknowledged by developer. (Tue, 19 May 2009 11:48:41 GMT) Full text and rfc822 format available.

Message #39 received at 526640-close@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 526640-close@bugs.debian.org
Subject: Bug#526640: fixed in flash-kernel 2.18
Date: Tue, 19 May 2009 11:17:03 +0000
Source: flash-kernel
Source-Version: 2.18

We believe that the bug you reported is fixed in the latest version of
flash-kernel, which is due to be installed in the Debian FTP archive:

flash-kernel-installer_2.18_armel.udeb
  to pool/main/f/flash-kernel/flash-kernel-installer_2.18_armel.udeb
flash-kernel_2.18.dsc
  to pool/main/f/flash-kernel/flash-kernel_2.18.dsc
flash-kernel_2.18.tar.gz
  to pool/main/f/flash-kernel/flash-kernel_2.18.tar.gz
flash-kernel_2.18_armel.deb
  to pool/main/f/flash-kernel/flash-kernel_2.18_armel.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 526640@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Michlmayr <tbm@cyrius.com> (supplier of updated flash-kernel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 19 May 2009 12:56:10 +0200
Source: flash-kernel
Binary: flash-kernel flash-kernel-installer
Architecture: source armel
Version: 2.18
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Martin Michlmayr <tbm@cyrius.com>
Description: 
 flash-kernel - utility to make certain embedded devices bootable
 flash-kernel-installer - Make the system bootable (udeb)
Closes: 526640
Changes: 
 flash-kernel (2.18) unstable; urgency=low
 .
   [ Colin Watson ]
   * Make findfs use the last of any mounts found, in case there's more than
     one due to pilot error in the partitioner.
 .
   [ Martin Michlmayr ]
   * No longer add a kernel postinst hook that calls flash-kernel.  Closes:
     #526640
   * Add a NEWS file telling people that they can remove the postinst hook.
   * Depend on initramfs-tools (>= 0.92f), which was the first version
     that called flash-kernel.
Checksums-Sha1: 
 8a692c07a627fae95fa45545efd91475fe0932d9 914 flash-kernel_2.18.dsc
 0188db3ff48cec8a18e17d9ffdd7063c233aaf40 37248 flash-kernel_2.18.tar.gz
 771b03d562bf8ee7cf3b5740e669a4e11d08a3d8 14324 flash-kernel_2.18_armel.deb
 09deb89b3f396f1914fd6098b0234900d4e7b019 10750 flash-kernel-installer_2.18_armel.udeb
Checksums-Sha256: 
 d51763a7b9facb6b0ef0649f23954380ed7c1ab465d82b657e0db200a0fb53ac 914 flash-kernel_2.18.dsc
 c8f8a1eab96311cec2c70d0e27a9e4f16d7129fb7302554148319104213fad67 37248 flash-kernel_2.18.tar.gz
 8c6b44122cb08a8cda9eb9e0e6ecf8e9e25d438a979d39cc4691398bbd5bcfd3 14324 flash-kernel_2.18_armel.deb
 04a743986294001dc59716bad30f8524cc844c198ad72c324c21dc80409c0488 10750 flash-kernel-installer_2.18_armel.udeb
Files: 
 0fafe38198298ca9669caba718a35156 914 utils optional flash-kernel_2.18.dsc
 70ac661f7c531a5e98ddcdb3d140d2d0 37248 utils optional flash-kernel_2.18.tar.gz
 2ef2f1382e88b393a282f1073d5eca5a 14324 utils optional flash-kernel_2.18_armel.deb
 902cf4ac73d780d39249548f25d4ba88 10750 debian-installer standard flash-kernel-installer_2.18_armel.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkoSkOsACgkQKb5dImj9VJ+JMgCdHMpJ6ehcnJoQkc2SiF4hNx7w
jrIAnjg0xmysRxZFgvcjOQKjZP5B7vDO
=cfEM
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#526640; Package flash-kernel. (Thu, 04 Jun 2009 06:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 04 Jun 2009 06:03:03 GMT) Full text and rfc822 format available.

Message #44 received at 526640@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Joey Hess <joeyh@debian.org>
Cc: Michael Goetze <mgoetze@mgoetze.net>, 526640@bugs.debian.org, maximilian attems <maks@debian.org>
Subject: Re: Bug#526640: Please try to keep the number of flashes minimal
Date: Thu, 4 Jun 2009 08:00:18 +0200
* Joey Hess <joeyh@debian.org> [2009-05-04 15:44]:
> * Current linux-kernel postinst runs initramfs-tools -c, which
>   does not involve triggers, and also does not run flash-kernel.
>   So it generates an initramfs that never gets used, but the old
>   one in flash should keep working.

This doesn't seem great to me.  It means when you install a kernel
version (e.g. 2.6.29 -> 2.6.30) that the new version is not written to
flash.  maks, why does -c not run run_bootloader?

Example:

# dpkg -i linux-image-2.6.30-rc8-kirkwood_2.6.30~rc8-1~experimental.1_arm
Selecting previously deselected package linux-image-2.6.30-rc8-kirkwood.
(Reading database ... 18471 files and directories currently installed.)
Unpacking linux-image-2.6.30-rc8-kirkwood (from linux-image-2.6.30-rc8-kirkwood_2.6.30~rc8-1~experimental.1_armel.deb) ...
Setting up linux-image-2.6.30-rc8-kirkwood (2.6.30~rc8-1~experimental.1) ...

Running depmod.
Running update-initramfs.
update-initramfs: Generating /boot/initrd.img-2.6.30-rc8-kirkwood
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
debian:~#

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#526640; Package flash-kernel. (Thu, 04 Jun 2009 15:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 04 Jun 2009 15:27:12 GMT) Full text and rfc822 format available.

Message #49 received at 526640@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Joey Hess <joeyh@debian.org>, Michael Goetze <mgoetze@mgoetze.net>, 526640@bugs.debian.org
Subject: Re: Bug#526640: Please try to keep the number of flashes minimal
Date: Thu, 4 Jun 2009 17:09:19 +0200
On Thu, Jun 04, 2009 at 08:00:18AM +0200, Martin Michlmayr wrote:
> * Joey Hess <joeyh@debian.org> [2009-05-04 15:44]:
> > * Current linux-kernel postinst runs initramfs-tools -c, which
> >   does not involve triggers, and also does not run flash-kernel.
> >   So it generates an initramfs that never gets used, but the old
> >   one in flash should keep working.
> 
> This doesn't seem great to me.  It means when you install a kernel
> version (e.g. 2.6.29 -> 2.6.30) that the new version is not written to
> flash.  maks, why does -c not run run_bootloader?

postinst takes itself care of lilo and folks traditionaly.
also we had a race in sight why this should be used.
sorry i don't rememeber any details right now, was giving a seminar,
will look later in it again.
 
-- 
maks




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Jul 2009 07:39:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:55:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.